В чем причина не импортировать Alamofire в мой проект?

Я делаю демо Alamofire, используя какао-стручки. Я имею в виду учебник "https://github.com/Alamofire/Alamofire". Я пробовал как вручную, так и по образцу процедуры. Но, когда я импортирую Alamofire, появляется сообщение об ошибке" Нет такого модуля 'Alamofire' ". Поэтому, пожалуйста, помогите мне устранить эту проблему.

Thanks in advance.
 7vikram702 июл. 2016 г., 15:12
Какая у вас версия CocoaPods? Обновление до CocoaPods 1.0
 Mike Henderson02 июл. 2016 г., 19:30
Это всегда дает мне это сообщение при первом запуске рабочей области. УдарCmd + B построить его один раз, и все должно быть в порядке
 Daniel Kuta05 июл. 2016 г., 22:50
Попробуйте закрыть Xcode, перейдите в каталог вашего проекта и запустите консоль pod install. Затем откройте проект (YourProject.xcworkspace) и соберите. В конце концов очистите проект от меню и удалите производные данные.

Ответы на вопрос(3)

1- откройте терминал и перейдите в папку вашего проекта. 2- создайте Podfile и добавьте код изhttps://github.com/Alamofire/Alamofire 3- В терминале бегите

pod install 

4- Закройте проект и откройте снова из недавно созданной рабочей области projectName.xcworkspace

5- Запустите и соберите проект один раз

Теперь он должен быть в состоянии импортировать

это может вызвать эту проблему. Например:

Моя версия Xcode 9.2 (см. Ниже)

Поэтому мой Podfile должен будет включить 9.2 в раздел платформы (см. Строку 2 ниже)

После этого вернитесь в терминал и заново создайте файл «.xcworkspace», выполнив в папке проекта:

pod install

Наконец, откройте ваш файл .xcworkspace в Xcode и нажмите Build.

Это должно решить проблему

 Matjan23 февр. 2018 г., 15:02
Это версия iOS, которую ваш проект намеревается поддерживать. Ничего общего с номером версии XCode.

чтобы добавить Alamofire в ваш проект. Мое предложение:

НажмитеCommand + Shift + R перестроить проект.

 Tho Nguyen02 июл. 2016 г., 15:04
@Harish: я могу увидеть твой Podfile?
 Harish02 нояб. 2016 г., 19:27
Я решил эту проблему, и ошибка не соответствовала версии Xcode и версии Cocoapod. Мой код был более старой версией, когда я обновил это. Это работает нормально для меня. Спасибо @ Тхо Нгуен
 Harish02 июл. 2016 г., 14:33
Я запускаю эту команду, но все равно не получаю @ Tho Nguyen
 sAguinaga02 окт. 2017 г., 11:07
это верно о необходимости времени. Я вернулся к этому проекту через день, и после Ctrl + Shift + R сбросил ошибку. Это немного странно, но это сработало.

Ваш ответ на вопрос